Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Marc Zyngier <[email-masked]>
Date: Mon, 06 Feb 2023 08:37:35 +0000

On Mon, 06 Feb 2023 01:44:51 +0000,
Stephen Rothwell <[email-masked]> wrote:
> 
> [1  <text/plain; US-ASCII (quoted-printable)>]
> Hi all,
> 
> Today's linux-next merge of the kvm-arm tree got a conflict in:
> 
>   arch/arm64/kernel/hyp-stub.S
> 
> between commit:
> 
>   f122576f3533 ("arm64/sme: Enable host kernel to access ZT0")
> 
> from the arm64 tree and commit:
> 
>   e2d4f5ae1771 ("KVM: arm64: Introduce finalise_el2_state macro")
> 
> from the kvm-arm tree.
> 
> I fixed it up (the code modified by the former was moved by the latter,
> so I applied the following merge fix patch) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> I hope I got this right :-)

Thanks for giving it a go!

Catalin, we'll probably end-up taking the arm64/for-next/tpidr2 branch
into the kvmarm tree in order to minimise the damage.

Please shout if you want to solve this the other way around (taking
the finalise_el2_state refactoring in the arm64 tree).

	M.

-- 
Without deviation from the norm, progress is not possible.